Subject: Re: Definition of 'resource' not consistent with RFC 3986

From: Mark Nottingham <[email-masked]>
Date: Thu, 16 Apr 2009 11:10:12 +1000

Jonathan,

Is the solution to this as simple as s/is used/can be used/ in <http://tools.ietf.org/html/draft-ietf-httpbis-p1-messaging-06#section-2.1.1 
 >?

Cheers,

On 06/02/2009, at 7:32 AM, Jonathan Rees wrote:

>
>
> On Feb 4, 2009, at 7:54 AM, Julian Reschke wrote:
>
>> Jonathan Rees wrote:
>>> On Jan 30, 2009, at 11:21 AM, Julian Reschke wrote:
>>>> I don't think this has been raised before. That being said, this  
>>>> area (Part 1) is work-in-progress, so now certainly is the right  
>>>> moment to raise it.
>>> Have I raised it now, or do I need to do something else  
>>> procedurally? Since no one else has piped up to support or fight  
>>> this, and no issue number is assigned, I'm not sure where this  
>>> stands.
>>
>> That depends on the definition of "raised". And yes, if we want to  
>> make sure that it doesn't get lost it should be added to the issue  
>> tracker.
>>
>> To get this done it would help if you could propose a precise  
>> description of the problem, plus, optimally, a proposed change.
>
> I can do this. The precise description is that 'resource' is defined  
> in 2616 incompatibly with 3986, and subsequent text assumes the 2616  
> definition. Given that no one has ventured an opinion on this, I  
> plan to propose minimal changes to the text, in at least three  
> locations, in the direction of making 2616bis take a hands-off  
> approach to the question of what happens when the URI does not  
> "identify" a "network data object or service".
>
> I may also propose text for 303 that allows for some of the new uses  
> it has found...
>
> Thanks
> Jonathan
>
>

--
Mark Nottingham     http://www.mnot.net/